Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IAction

    com.change_vision.jude.api.inf.model.IAction

All Superinterfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IActivityNode, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IAction

extends IActivityNode

Interface for Actions.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IActivity` | `getCallingActivity()` Get Calling Activity.
`abstract IInputPin[]` | `getInputs()` Get Input Pins.
`abstract IOutputPin[]` | `getOutputs()` Get Output Pins.
`abstract boolean` | `isCallBehaviorAction()` Check if it is a CallBehaviorAction.

Methods inherited from class com.change_vision.jude.api.inf.model.IActivityNode
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getCallingActivity

    abstract IActivity getCallingActivity()

  Get Calling Activity.

  Returns:
    Activity.

### isCallBehaviorAction

    abstract boolean isCallBehaviorAction()

  Check if it is a CallBehaviorAction.

  Returns:
    true it is a CallBehaviorAction / false it is not a CallBehaviorAction

### getInputs

    abstract IInputPin[] getInputs()

  Get Input Pins.

  Returns:
    the array of Input Pin. Return the empty array if there is none.
  Since:
    6.6

### getOutputs

    abstract IOutputPin[] getOutputs()

  Get Output Pins.

  Returns:
    the array of Output Pin. Return the empty array if there is none.
  Since:
    6.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD